Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.standalone
Class UninstallCommand

    java.lang.Object
      org.eclipse.update.standalone.ScriptedCommand
          org.eclipse.update.standalone.UninstallCommand

All Implemented Interfaces:
  IOperationListener

public class UninstallCommand
extends ScriptedCommand

Command to uninstall a feature. The feature must be disabled before uninstalling it.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Field Summary

Fields inherited from class org.eclipse.update.standalone.ScriptedCommand
`verifyOnly`

Constructor Summary
`UninstallCommand(String featureId, String version, String toSite, String verifyOnly)`

Method Summary
`boolean` | `run(IProgressMonitor monitor)` Executes the command.

Methods inherited from class org.eclipse.update.standalone.ScriptedCommand
`afterExecute, applyChangesNow, beforeExecute, getConfiguration, isVerifyOnly, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UninstallCommand

    public UninstallCommand(String featureId,
                            String version,
                            String toSite,
                            String verifyOnly)
                     throws Exception

Method Detail

### run

    public boolean run(IProgressMonitor monitor)

  Description copied from class: `ScriptedCommand`
  Executes the command. Subclasses are responsible for implementing this method. If the command was constructed with verifyOnly=true, the command should not execute, but only verify it can execute.

  Specified by:
    `run` in class `ScriptedCommand`
  Parameters:
    `monitor` - progress monitor during command execution.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.